<template>
  <template v-if="examples.length > 0">
    <section v-for="example in examples" :key="example" class="-mtl">
      <h2>{{ titleize(example) }}</h2>

      <example-renderer :file="example" :file-type="fileType" />
    </section>
  </template>
</template>

<script>
import ExampleRenderer from './ExampleRenderer.vue'

export default {
  name: 'ComponentExamples',
  components: { ExampleRenderer },
  props: {
    name: { required: true, type: String },
    fileType: { required: true, type: String },
  },
  data () {
    return {
      examples: this.$getDoc(this.name).examples[this.fileType],
    }
  },
  methods: {
    titleize (string) {
      string = string.replace(/.*\.example\.\d?/, '')
        .replace(/[-_.]/, ' ')
        .trim()
      return `${string.charAt(0).toUpperCase()}${string.substring(1)}`
    },
  },
}
</script>
